import {StyleSheet, Text, View} from 'react-native';
import {Provider} from "react-redux";

import {useFonts} from 'expo-font';
import {store} from "./redux/store";
import React from "react";
import CommonPage from "./screens/CommonPage/CommonPage";
import {BottomSheetModalProvider} from "@gorhom/bottom-sheet";
import {GestureHandlerRootView} from "react-native-gesture-handler";
import Toast from "react-native-toast-message";
import Constants from "expo-constants";

export default function App() {
    let [fontsLoading] = useFonts({
        // 'SF Pro Text': require('./assets/fonts/SF-Pro-Text-Regular.otf')
    })

    if (!fontsLoading)
        return <View><Text>Loading...</Text></View>
    return (
        <Provider store={store}>
            <GestureHandlerRootView style={{flex: 1}}>
                <BottomSheetModalProvider>
                    <CommonPage/>

                </BottomSheetModalProvider>
            </GestureHandlerRootView>

        </Provider>

    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
    },
});
